package com.ics.admin.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import com.ics.system.domain.User;
import lombok.Data;

import java.util.Date;

/**
 * 活动报名详情对象 ics_activity_detail
 *
 * @author ics
 * @date 2021-03-25
 */
@Data
@TableName("ics_activity_detail")
public class ActivityDetail extends BaseEntity<ActivityDetail> {
    private static final long serialVersionUID = 1L;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 用户性别
     */
    private String sex;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 报名时间
     */
    private Date signDate;

    /**
     * 用户表id
     */
    private Long userId;

    /**
     * 活动id
     */
    private Long actId;

    /**
     * 关联用户对象
     */
    private User user;

    /**
     * 关联用户对象
     */
    @TableField(exist = false)
    private Activity activity;

}
