package com.ics.admin.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.admin.handler.ContractStatusEnumHandler;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 合同操作日志对象 ics_customer_contract_log
 *
 * @author zzm
 * @date 2021-03-30
 */
@Data
@TableName("ics_customer_contract_log")
public class CustomerContractLog extends BaseEntity<CustomerContractLog> {
    private static final long serialVersionUID = 1L;

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 合同状态
     */
    @TableField(typeHandler = ContractStatusEnumHandler.class)
    private CustomerContract.Status status;

    /**
     * 备注
     */
    private String remark;

}