package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * 展厅预约记录对象 tb_showroom_record
 * 
 * @author ics
 * @date 2024-03-12
 */
@Data
@TableName("tb_showroom_record")
public class ShowroomRecord extends BaseEntity<ShowroomRecord> {
    private static final long serialVersionUID = 1L;

    /** 会议主体id */
    private Long showroomId;

    @TableField(exist = false)
    private String showRoomName;

    /** 用户id */
    private Long userId;

    @TableField(exist = false)
    private String userName;

    @TableField(exist = false)
    private String userPhone;

    @TableField(exist = false)
    private String customerName;

    @TableField(exist = false)
    private Long duration;

    /** 主题（会议主题、展厅主题） */
    private String title;

    /** 预约状态 */
    private Integer status;



    /** 预约编号 */
    private String reservationNumber;

    /** 订单取消时间 */
    private Date cancelTime;

    /** 订单取消原因 */
    private String cancelResaon;

    /** 预约-开始时间 */
    private Date startTime;

    private Integer explainNeedType;
    private Integer meetingNeedType;
    private Integer photographType;

    private String persons;
    private Integer visitType;

    private String visitArea;

    @TableField(exist = false)
    private String visitTypeName;


    /** 预约-结束时间 */
    private Date endDate;

    /** 备注 */
    private String remake;

    @TableField(exist = false)
    private String roomName;

    @TableField(exist = false)
    private String buildingName;

    @TableField(exist = false)
    private String indoorPicUrl;

    @TableField(exist = false)
    private String capacityNum;

    @TableField(exist = false)
    private String statusName;

    @TableField(exist = false)
    private List<Long> staffIds;


    @TableField(exist = false)
    private Long buildingId;


    @TableField(exist = false)
    private String TenantName;


    @TableField(exist = false)
    private String buildName;

    @TableField(exist = false)
    private String parkName;
}
