package com.ics.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ics.admin.domain.CustomerContractRefundRoom;
import com.ics.admin.domain.Room;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 退租房间关联Mapper接口
 * 
 * @author ics
 * @date 2021-03-31
 */
@Mapper
public interface CustomerContractRefundRoomMapper extends BaseMapper<CustomerContractRefundRoom> {
    /**
     * 查询退租房间关联
     * 
     * @param id 退租房间关联ID
     * @return 退租房间关联
     */
    CustomerContractRefundRoom selectCustomerContractRefundRoomById(Long id);

    /**
     * 查询退租房间关联列表
     * 
     * @param customerContractRefundRoom 退租房间关联
     * @return 退租房间关联集合
     */
    List<CustomerContractRefundRoom> selectCustomerContractRefundRoomList(CustomerContractRefundRoom customerContractRefundRoom);


    /**
     * 提交合同，更改房间租赁状态
     *
     * @param ids 合同ids,
     * @param status 房间租赁状态
     * @return
     */
    int updateRoomStatus(@Param("ids") String[] ids, @Param("status") Room.Status status);

}
