package com.ics.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ics.admin.domain.Repair;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 工单管理Mapper接口
 * 
 * @author ics
 * @date 2021-03-25
 */
@Mapper
public interface RepairMapper extends BaseMapper<Repair> {
    /**
     * 查询工单管理
     * 
     * @param id 工单管理ID
     * @return 工单管理
     */
    Repair selectRepairById(Long id);

    /**
     * 查询工单管理列表
     * 
     * @param repair 工单管理
     * @return 工单管理集合
     */
    List<Repair> selectRepairList(Repair repair);

    /**
     * 查询我的工单管理列表
     *
     * @param repair 工单管理
     * @return 工单管理集合
     */
    List<Repair> selectMyRepairList(Repair repair);

}
