package com.ics.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ics.admin.domain.Room;
import com.ics.admin.vo.RoomMapVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 房间管理Mapper接口
 *
 * @author zzm
 * @date 2021-03-24
 */
@Mapper
public interface RoomMapper extends BaseMapper<Room> {

    /**
     * 查询房间管理列表
     *
     * @return 房间管理集合
     */
    List<Room> selectRoomList(Room room);

    /**
     * 查询园区房间平面数据列表
     *
     * @return 房间管理集合
     */
    List<RoomMapVO> selectParkMapVOList(Room room);


    Room selectByRoomId(Long id);
}