package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.DetailEquipment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 楼层与设备关联Mapper接口
 * 
 * @author ics
 * @date 2024-03-27
 */
@Mapper
public interface DetailEquipmentMapper extends BaseMapper<DetailEquipment> {
    /**
     * 查询楼层与设备关联
     * 
     * @param id 楼层与设备关联ID
     * @return 楼层与设备关联
     */
    DetailEquipment selectDetailEquipmentById(Long id);

    /**
     * 查询楼层与设备关联列表
     * 
     * @param detailEquipment 楼层与设备关联
     * @return 楼层与设备关联集合
     */
    List<DetailEquipment> selectDetailEquipmentList(DetailEquipment detailEquipment);

    /**
     * 新增楼层与设备关联
     * 
     * @param detailEquipment 楼层与设备关联
     * @return 结果
     */
    int insertDetailEquipment(DetailEquipment detailEquipment);

    /**
     * 修改楼层与设备关联
     * 
     * @param detailEquipment 楼层与设备关联
     * @return 结果
     */
    int updateDetailEquipment(DetailEquipment detailEquipment);

    /**
     * 删除楼层与设备关联
     * 
     * @param id 楼层与设备关联ID
     * @return 结果
     */
    int deleteDetailEquipmentById(Long id);

    /**
     * 批量删除楼层与设备关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteDetailEquipmentByIds(String[] ids);
}
