package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.RoomServeByRoom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 房间主体和服务关联Mapper接口
 * 
 * @author ics
 * @date 2024-02-25
 */
@Mapper
public interface RoomServeByRoomMapper extends BaseMapper<RoomServeByRoom> {
    /**
     * 查询房间主体和服务关联
     * 
     * @param id 房间主体和服务关联ID
     * @return 房间主体和服务关联
     */
    RoomServeByRoom selectRoomServeByRoomById(Long id);

    /**
     * 查询房间主体和服务关联列表
     * 
     * @param roomServeByRoom 房间主体和服务关联
     * @return 房间主体和服务关联集合
     */
    List<RoomServeByRoom> selectRoomServeByRoomList(RoomServeByRoom roomServeByRoom);

    /**
     * 新增房间主体和服务关联
     * 
     * @param roomServeByRoom 房间主体和服务关联
     * @return 结果
     */
    int insertRoomServeByRoom(RoomServeByRoom roomServeByRoom);

    /**
     * 修改房间主体和服务关联
     * 
     * @param roomServeByRoom 房间主体和服务关联
     * @return 结果
     */
    int updateRoomServeByRoom(RoomServeByRoom roomServeByRoom);

    /**
     * 删除房间主体和服务关联
     * 
     * @param id 房间主体和服务关联ID
     * @return 结果
     */
    int deleteRoomServeByRoomById(Long id);

    /**
     * 批量删除房间主体和服务关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomServeByRoomByIds(String[] ids);
}
