package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.StaffOpen;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户和小程序关联Mapper接口
 * 
 * @author ics
 * @date 2024-06-25
 */
@Mapper
public interface StaffOpenMapper extends BaseMapper<StaffOpen> {
    /**
     * 查询用户和小程序关联
     * 
     * @param id 用户和小程序关联ID
     * @return 用户和小程序关联
     */
    StaffOpen selectStaffOpenById(Long id);

    /**
     * 查询用户和小程序关联列表
     * 
     * @param staffOpen 用户和小程序关联
     * @return 用户和小程序关联集合
     */
    List<StaffOpen> selectStaffOpenList(StaffOpen staffOpen);

    /**
     * 新增用户和小程序关联
     * 
     * @param staffOpen 用户和小程序关联
     * @return 结果
     */
    int insertStaffOpen(StaffOpen staffOpen);

    /**
     * 修改用户和小程序关联
     * 
     * @param staffOpen 用户和小程序关联
     * @return 结果
     */
    int updateStaffOpen(StaffOpen staffOpen);

    /**
     * 删除用户和小程序关联
     * 
     * @param id 用户和小程序关联ID
     * @return 结果
     */
    int deleteStaffOpenById(Long id);

    /**
     * 批量删除用户和小程序关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteStaffOpenByIds(String[] ids);

    StaffOpen selectStaffOpenByOpenId(String openid);


    StaffOpen selectStaffOpenByStaffIdAndOpenId(@Param("staffId") Long id,@Param("openid") String openId);
}
