package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.VisitorPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 预约参观人员Mapper接口
 * 
 * @author chen
 * @date 2024-02-25
 */
@Mapper
public interface VisitorPersonMapper extends BaseMapper<VisitorPerson> {
    /**
     * 查询预约参观人员
     * 
     * @param id 预约参观人员ID
     * @return 预约参观人员
     */
    VisitorPerson selectReservationPersonById(Long id);

    /**
     * 查询预约参观人员列表
     * 
     * @param visitorPerson 预约参观人员
     * @return 预约参观人员集合
     */
    List<VisitorPerson> selectReservationPersonList(VisitorPerson visitorPerson);

    /**
     * 新增预约参观人员
     * 
     * @param visitorPerson 预约参观人员
     * @return 结果
     */
    int insertReservationPerson(VisitorPerson visitorPerson);

    /**
     * 修改预约参观人员
     * 
     * @param visitorPerson 预约参观人员
     * @return 结果
     */
    int updateReservationPerson(VisitorPerson visitorPerson);

    /**
     * 删除预约参观人员
     * 
     * @param id 预约参观人员ID
     * @return 结果
     */
    int deleteReservationPersonById(Long id);

    /**
     * 批量删除预约参观人员
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteReservationPersonByIds(String[] ids);
}
