package com.ics.common.constant;

/**
 * 通用常量信息
 *
 */
public class Constants {
    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * 通用成功标识
     */
    public static final String SUCCESS = "0";

    /**
     * 通用失败标识
     */
    public static final String FAIL = "1";

    /**
     * 登录成功
     */
    public static final String LOGIN_SUCCESS = "Success";

    /**
     * 注销
     */
    public static final String LOGOUT = "Logout";

    /**
     * 登录失败
     */
    public static final String LOGIN_FAIL = "Error";

    /**
     * 自动去除表前缀
     */
    public static final String AUTO_REOMVE_PRE = "true";

    /**
     * 当前记录起始索引
     */
    public static final String PAGE_NUM = "pageNum";

    /**
     * 每页显示记录数
     */
    public static final String PAGE_SIZE = "pageSize";

    /**
     * 排序列
     */
    public static final String ORDER_BY_COLUMN = "sortField";

    /**
     * 排序的方向 "desc" 或者 "asc".
     */
    public static final String IS_ASC = "sortOrder";

    public static final String CURRENT_ID = "current_id";

    public static final String CURRENT_USERNAME = "current_username";

    public static final String TOKEN = "token";

    public static final String DEFAULT_CODE_KEY = "random_code_";

    public final static String ACCESS_TOKEN = "access_token_";

    public final static String ACCESS_USERID = "access_userid";

    public static final String RESOURCE_PREFIX = "/profile";


    /**
     * 合同管理单号前缀
     */
    public static final String CONTRACT_PREFIX = "CC";

    /**
     * 账务管理单号前缀(唯一)
     */
    public static final String BILL_PREFIX = "AR";


    /**
     * 账务管理单号前缀(分组)
     */
    public static final String BILL_MANAGE = "BM";

    /**
     * 退租单号前缀
     */
    public static final String REFUND_PREFIX = "TZ";

    /**
     * 订单号前缀
     */
    public static final String ORDERS_PREFIX = "OD";

    /**
     * 交易号前缀
     */
    public static final String TRADE_PREFIX = "TD";

    /**
     * 退款单号前缀
     */
    public static final String REFUND_FEE_PREFIX = "RF";

    /**
     * 退款单号前缀
     */
    public static final String COMPLAINTS = "TS";

    /**
     * 企业员工
     */
    public static final String CUSTOMER_STAFF = "1";

    /**
     * 企业访客
     */
    public static final String CUSTOMER_VISIT = "2";


    /**
     *
     */
}
