package com.ics.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ics.admin.domain.ServiceOrder;
import com.ics.admin.mapper.ServiceOrderMapper;
import com.ics.service.IServiceOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 服务订单Service业务层处理
 * 
 * @author ics
 * @date 2021-03-26
 */
@Service("serviceOrderAppService")
public class ServiceOrderServiceImpl extends ServiceImpl<ServiceOrderMapper, ServiceOrder> implements IServiceOrderService {
    @Autowired
    private ServiceOrderMapper serviceOrderMapper;

    /**
     * 新增服务订单
     * 
     * @param serviceOrder 服务订单
     * @return 结果
     */
    @Override
    public int insertServiceOrder(ServiceOrder serviceOrder) {
        return serviceOrderMapper.insert(serviceOrder);
    }


    @Override
    public List<ServiceOrder> selectMyServiceOrderAppList(ServiceOrder serviceOrder) {
        return serviceOrderMapper.selectMyServiceOrderAppList(serviceOrder);
    }


}
